function c = match(a,b)
% MATCH Find matching locations of vector a in vector b
% function c = match(a,b)
% e.g., match([1 3], [1 2 4 3]) = [1 4]
% e.g., match([1 3], [2 4 3 1]) = [4 3]

[i,j] = find(repmat(a(:), [1, length(b)]) == repmat(b(:)', [length(a), 1]));
c = j(i); % return column which contains the 1 in the order of the rows
